package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.ChooseTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 选择参数params
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/24
 */
public class ChooseParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "数组id")
    Long[] ids;

    @ApiModelProperty(value = "选择类型")
    ChooseTypeEnum type;

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public ChooseTypeEnum getType() {
        return type;
    }

    public void setType(ChooseTypeEnum type) {
        this.type = type;
    }
}
